MonoMac 0.0.0.0 MonoMac.CoreAnimation.CALayer MonoMac.Foundation.Register("CATextLayer", true) Simple text layour and rendering of regular or attributed text.

When you want to use one of the CALayer subclasses as your UIView's backing layer, you need to add the following code snippet to your class:

`class MyView : UIView { // // This instructs the runtime that whenever a MyView is created // that it should instantiate a CATextLayer and assign that to the // UIView.Layer property // [Export ("layerClass")] public static Class LayerClass () { return new Class (typeof (CATextLayer)); } }`
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor that initializes a new instance of this class with no parameters.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAAlignmentCenter To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAAlignmentJustified To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAAlignmentLeft To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("alignmentMode", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  set: MonoMac.Foundation.Export("setAlignmentMode:", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAAlignmentNatural To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAAlignmentRight To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSAttributedString Sets the attributed string to display.

  This sets the attributed string to display on the layer. The attributed string should contain CoreText attributes.

  `void DrawHelloWorld (CATextLayer myTextLayer) { var hello = new NSAttributedString ("Hello, world", new CTStringAttributes () { ForegroundColorFromContext = true, Font = new CTFont ("Arial", 24) }); myTextLayer.AttributedString = hello; }`
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("layer")
  MonoMac.CoreAnimation.CALayer To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("fontSize")
  set: MonoMac.Foundation.Export("setFontSize:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("foregroundColor")
  set: MonoMac.Foundation.Export("setForegroundColor:")
  MonoMac.CoreGraphics.CGColor To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("string", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  set: MonoMac.Foundation.Export("setString:", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATruncationEnd To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATruncationMiddle To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATruncationStart To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("truncationMode", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  set: MonoMac.Foundation.Export("setTruncationMode:", MonoMac.ObjCRuntime.ArgumentSemantic.Copy)
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCATruncationNone To be added.
- Property
  0.0.0.0
  System.Object To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isWrapped")
  set: MonoMac.Foundation.Export("setWrapped:")
  System.Boolean To be added. To be added. To be added.